Package org.apache.calcite.avatica

## Class MetaImpl.MetaIndexInfo

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaIndexInfo

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaIndexInfo
    extends java.lang.Object

Metadata describing index info.

### Field Summary

Fields
`java.lang.String` `ascOrDesc`
`long` `cardinality`
`java.lang.String` `columnName`
`java.lang.String` `filterCondition`
`java.lang.String` `indexName`
`java.lang.String` `indexQualifier`
`boolean` `nonUnique`
`short` `ordinalPosition`
`long` `pages`
`java.lang.String` `tableCat`
`java.lang.String` `tableName`
`java.lang.String` `tableSchem`
`short` `type`

### Constructor Summary

Constructors
`MetaIndexInfo​(java.lang.String tableCat, java.lang.String tableSchem, java.lang.String tableName, boolean nonUnique, java.lang.String indexQualifier, java.lang.String indexName, short type, short ordinalPosition, java.lang.String columnName, java.lang.String ascOrDesc, long cardinality, long pages, java.lang.String filterCondition)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableCat

    public final java.lang.String tableCat

#### tableSchem

    public final java.lang.String tableSchem

#### tableName

    public final java.lang.String tableName

#### nonUnique

    public final boolean nonUnique

#### indexQualifier

    public final java.lang.String indexQualifier

#### indexName

    public final java.lang.String indexName

#### type

    public final short type

#### ordinalPosition

    public final short ordinalPosition

#### columnName

    public final java.lang.String columnName

#### ascOrDesc

    public final java.lang.String ascOrDesc

#### cardinality

    public final long cardinality

#### pages

    public final long pages

#### filterCondition

    public final java.lang.String filterCondition

### Constructor Detail

#### MetaIndexInfo

    public MetaIndexInfo​(java.lang.String tableCat,
                         java.lang.String tableSchem,
                         java.lang.String tableName,
                         boolean nonUnique,
                         java.lang.String indexQualifier,
                         java.lang.String indexName,
                         short type,
                         short ordinalPosition,
                         java.lang.String columnName,
                         java.lang.String ascOrDesc,
                         long cardinality,
                         long pages,
                         java.lang.String filterCondition)